<!DOCTYPE HTML>
<html>
    <head>
        <title>JavaScript - Reactive DOM with JSON</title>
    </head>
    <body>
        <h2>Add Post</h2>
        <form id="form-add-post">
            <span>Title</span><br>
            <input type="text" id="txt-title"/><br><br>
            <span>Body</span><br>
            <textarea type="text" id="txt-body"></textarea><br><br>
            <button type="submit">Create</button><br><br>
        </form>
        <hr>
        <h2>Edit Post</h2>
        <form id="form-edit-post" style="display: none">
            <input type="text" id="txt-edit-id" hidden/>
            <span>Title</span><br>
            <input type="text" id="txt-edit-title"/><br><br>
            <span>Body</span><br>
            <textarea type="text" id="txt-edit-body"></textarea><br><br>
            <button type="submit">Update</button><br><br>
        </form>
        <p id="form-edit-post-note">Please pick data to modify below (click the edit button)</p>
        <hr>
        <h2>Posts</h2>
        <div id="div-post-entries"></div>
        <script src="./index.js"></script>
    </body>
</html>